<script>

export default {
    name: "Card",

    props: {
        match: {
            type: Boolean,
            default: false
        },
        position: {
            type: Number,
            required: true
        },
        value: {
            type: Number,
            required: true
        },
        visible : {
            type: Boolean,
            default: false
        },
    },

    setup(props, SetupContext) {

        const selectCard = () => {
            SetupContext.emit('select-card', {
                position: props.position,
                faceValue: props.value
            })
        }

        return {
            selectCard
        }
    }
}
</script>

<template>
    <div class="card" @click="selectCard">
        <div v-if="visible" class="cardPicture is-front">
            {{ value }}
        </div>
        <div v-else class="cardPicture is-back">
            the <br> memory <br> game
        </div>
    </div>
</template>

<style scoped>
    .card{
        position: relative;
    }

    .cardPicture {
        width: 100%;
        height: 100%;
        position: absolute;
    }

    .cardPicture.is-front {
        background-color: rgb(0, 56, 129);
        color: white;
        font-size: 50px;
        text-align: center;
    }

    .cardPicture.is-back {
        background-color: rgb(114, 214, 31);
        color: rgb(46, 102, 14);
        font-size: 19px;
        font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
        text-align: center;
    }

</style>